%define name biblereader  
%define version 0.3.3
%define release 4

Name:		%{name}
Summary:	GTK+ Bible Reader and Study Program
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Text tools
URL:		http://www.whitevine.com/biblereader/
Source:		%{name}-%{version}.tar.bz2
Source1:	kjv.tar.bz2
Source2:	darby.tar.bz2
Source3:	asv.tar.bz2
Source4:	strongs.tar.bz2
Source5:	mhc.tar.bz2
Source6:	easton.tar.bz2
Source7:	torrey.tar.bz2
Source8:	sv.tar.bz2
Patch0:		%{name}-nobuildroot.patch
Patch1:		biblereader-0.3.3-optflags.patch
Patch2:		biblereader-0.3.3-buildnoroot.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
biblereader is a reader and study program for the Holy Bible written with
the GTK+ widget set.  You will need to install one of the biblereader data
packages containing the Bible you wish to use.  Install biblereader-kjv for
the King James Version, biblereader-darby for the Darby version,
biblereader-asv for the American Standard Version, biblereader-strongs for
Strong's Bible Dictionary, biblereader-mhc for Matthew Henry's Bible
Commentary, 

%ifnarch i586 i686
%package kjv
Summary:	King James Version Bible for biblereader
Group:		Text tools
Requires:	%{name}

%description kjv
This is the King James Version of the Holy Bible for biblereader.

%package darby
Summary:	Darby Bible for biblereader
Group:		Text tools
Requires:	%{name}

%description darby
This is the Darby Holy Bible for biblereader.

%package asv
Summary:	American Standard Version Bible for biblereader
Group:		Text tools
Requires:	%{name}

%description asv
This is the American Standard Version of the Holy Bible for biblereader.

%package strongs
Summary:	Strong's Bible Dictionary for biblereader
Group:		Text tools
Requires:	%{name}

%description strongs
This is the Strong's Bible Dictionary for biblereader.

%package mhc
Summary:	Matthew Henry's Commentary for biblereader
Group:		Text tools
Requires:	%{name}

%description mhc
This is the Matthew Henry's Bible Commentary for biblereader.

%package easton
Summary:	Easton's Bible Dictionary for biblereader
Group:		Text tools
Requires:	%{name}

%description easton
This is the Easton's Bible Dictionary for biblereader.

%package torrey
Summary:	Torrey's Topical Textbook for biblereader
Group:		Text tools
Requires:	%{name}

%description torrey
This is the Torrey's Topical Textbook on the Bible for biblereader.

%package sv
Summary:	Dutch 'StatenVertaling' for biblereader
Group:		Text tools
Requires:	%{name}

%description sv
This is the Dutch 'StatenVertaling' of the Holy Bible for biblereader.
%endif

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT

make BIBLEPATH_PREFIX=%{_prefix} RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_bindir}
make install PREFIX=%{buildroot}%{_prefix} BIBLEPATH_PREFIX=%{_prefix}
# Rename binary and make wrapper script
#!#mv %{buildroot}%{_bindir}/biblereader %{buildroot}%{_bindir}/x-biblereader 
#!#cat << EOF > %{buildroot}%{_bindir}/biblereader
#!##!/bin/sh
#!#export BIBLEREADER_PATH=/usr/share/biblereader
#!#x-biblereader
#!#EOF
#!#chmod a+x %{buildroot}%{_bindir}/biblereader
mkdir -p %{buildroot}%{_datadir}/biblereader

%ifnarch i586 i686
# Install King James Version
tar xvIf %{SOURCE1} -C %{_tmppath}
mv %{_tmppath}/kjv/kjv %{buildroot}%{_datadir}/biblereader

# Install Darby
tar xvIf %{SOURCE2} -C %{_tmppath}
mv %{_tmppath}/darby/darby %{buildroot}%{_datadir}/biblereader

# Install ASV
tar xvIf %{SOURCE3} -C %{_tmppath}
mv %{_tmppath}/asv/asv %{buildroot}%{_datadir}/biblereader

# Install Strong's
tar xvIf %{SOURCE4} -C %{_tmppath}
mv %{_tmppath}/strongs/kjv-strongs %{buildroot}%{_datadir}/biblereader

# Install Commentary
tar xvIf %{SOURCE5} -C %{_tmppath}
mv %{_tmppath}/mhc/mhc %{buildroot}%{_datadir}/biblereader

# Install Dictionary
tar xvIf %{SOURCE6} -C %{_tmppath}
mv %{_tmppath}/easton/eastons.dict %{buildroot}%{_datadir}/biblereader

# Install Textbook
tar xvIf %{SOURCE7} -C %{_tmppath}
mv %{_tmppath}/torrey/torrey.dict %{buildroot}%{_datadir}/biblereader

# Install SV
tar xvIf %{SOURCE8} -C %{_tmppath}
mv %{_tmppath}/sv/sv %{buildroot}%{_datadir}/biblereader

chmod a+r %{buildroot}%{_datadir}/biblereader/*
%endif

#!#mkdir -p %{buildroot}%{_menudir}
#!#cat << EOF > %{buildroot}%{_menudir}/%{name}
#!#?package(biblereader): \
#!#  needs=x11\
#!#  section="Applications/Text tools"\
#!#  title=Biblereader\
#!#  command="%{_bindir}/biblereader"
#!#EOF


%post
#%update_menus

   
%postun
#%clean_menus


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
%ifnarch i586 i686
rm -rf %{_tmppath}/kjv
rm -rf %{_tmppath}/darby
rm -rf %{_tmppath}/asv
rm -rf %{_tmppath}/strongs
rm -rf %{_tmppath}/mhc
rm -rf %{_tmppath}/easton
rm -rf %{_tmppath}/torrey
%endif

%files
%defattr(-,root,root,0755)
%{_bindir}/biblereader
#!#%{_bindir}/x-biblereader
#!#%{_menudir}/biblereader

%ifnarch i586 i686
%files kjv
%defattr(-,root,root,0755)
%{_datadir}/biblereader/kjv

%files darby
%defattr(-,root,root,0755)
%{_datadir}/biblereader/darby

%files asv
%defattr(-,root,root,0755)
%{_datadir}/biblereader/asv

%files strongs
%defattr(-,root,root,0755)
%{_datadir}/biblereader/kjv-strongs

%files mhc
%defattr(-,root,root,0755)
%{_datadir}/biblereader/mhc

%files easton
%defattr(-,root,root,0755)
%{_datadir}/biblereader/eastons.dict

%files torrey
%defattr(-,root,root,0755)
%{_datadir}/biblereader/torrey.dict

%files sv
%defattr(-,root,root,0755)
%{_datadir}/biblereader/sv
%endif

%changelog
* Mon Nov 20 2000 Peter Hanecak <hanecak@megaloman.sk>
- use RPM_OPT_FLAGS to build binaries
- do not create data packages for i586 and i686 architectures (noarch would
  be better but AFAIK can't be done from one source RPM)
- changes to allow non-root users to build too

* Tue Nov 14 2000 Hugo van der Kooij <hugo@vanderkooij> 0.3.3-3
- Un'Mandraked' the SPEC file.
- Created a patch to use instead of the 'ugly' workaround of using wrapper script to workaround a buildroot problem.

* Sun Oct  1 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.3.3-1mdk
- Mandrake version
- made sub-packages for all biblereader datafiles
